>From dbf5f70dbe86780e8bd5299560d19abe718ea592 Mon Sep 17 00:00:00 2001
From: Mike FABIAN <mfabian@redhat.com>
Date: Wed, 10 Jun 2015 15:11:53 +0200
Subject: [PATCH] Unicode 8.0.0 updates (including the transliteration files)

- Resolves: rhbz#1238412
---
 ...dd-translit-rules-for-da-nb-nn-sv-locales.patch |  120 +
 ...2-addition-and-fixes-for-translit_neutral.patch |  561 ++
 ...1238412-remove-duplicate-transliterations.patch |   26 +
 glibc-rh1238412-unicode-8.0.0-update.patch         | 9931 ++++++++++++++++++++
 ...pdate-the-translit-files-to-unicode-7.0.0.patch | 5399 +++++++++++
 glibc.spec                                         |   19 +-
 6 files changed, 16055 insertions(+), 1 deletion(-)
 create mode 100644 glibc-rh1238412-add-translit-rules-for-da-nb-nn-sv-locales.patch
 create mode 100644 glibc-rh1238412-addition-and-fixes-for-translit_neutral.patch
 create mode 100644 glibc-rh1238412-remove-duplicate-transliterations.patch
 create mode 100644 glibc-rh1238412-unicode-8.0.0-update.patch
 create mode 100644 glibc-rh1238412-update-the-translit-files-to-unicode-7.0.0.patch

diff --git a/glibc.spec b/glibc.spec
index b9709e1..bcfc7d6 100644
--- a/glibc.spec
+++ b/glibc.spec
@@ -1,6 +1,6 @@
 %define glibcsrcdir  glibc-2.21-357-gb40a4e1
 %define glibcversion 2.21.90
-%define glibcrelease 17%{?dist}
+%define glibcrelease 18%{?dist}
 # Pre-release tarballs are pulled in from git using a command that is
 # effectively:
 #
@@ -249,6 +249,13 @@ Patch2033: glibc-aarch64-tls-fixes.patch
 Patch2034: glibc-aarch64-workaround-nzcv-clobber-in-tlsdesc.patch
 Patch2035: glibc-new-condvar.patch
 
+# Upstream BZ 18568
+Patch2101: glibc-rh1238412-remove-duplicate-transliterations.patch
+Patch2102: glibc-rh1238412-addition-and-fixes-for-translit_neutral.patch
+Patch2103: glibc-rh1238412-update-the-translit-files-to-unicode-7.0.0.patch
+Patch2104: glibc-rh1238412-add-translit-rules-for-da-nb-nn-sv-locales.patch
+Patch2105: glibc-rh1238412-unicode-8.0.0-update.patch
+
 ##############################################################################
 #
 # Benchmark comparison patches.
@@ -610,6 +617,12 @@ microbenchmark tests on the system.
 %patch3002 -p1
 %patch2035 -p1
 
+%patch2101 -p1
+%patch2102 -p1
+%patch2103 -p1
+%patch2104 -p1
+%patch2105 -p1
+
 ##############################################################################
 # %%prep - Additional prep required...
 ##############################################################################
@@ -1824,6 +1837,10 @@ rm -f *.filelist*
 %endif
 
 %changelog
+* Tue Jul 14 2015 Mike FABIAN <mfabian@redhat.com> - 2.21.90-18
+- Unicode 8.0.0 updates (including the transliteration files)
+- Resolves: rhbz#1238412
+
 * Sun Jun 21 2015 Carlos O'Donell <carlos@redhat.com> - 2.21.90-17
 - Remove all linuxthreads handling from glibc spec file.
 
-- 
2.4.3

